For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Global Payroll
    • Introduction
    • Time Tracking
    • Adjustments
  • Common Use Cases
    • Reimburse expenses
  • Endpoints
      • POSTCreate raw time tracking shifts
      • POSTCreate shifts
      • DELDelete a Shift by External ID
      • GETGet shift details
      • GETList of shifts
      • PATCHUpdate a shift
LogoLogo
SupportDeel Home
EndpointsTime Tracking Shifts

Delete a Shift by External ID

DELETE
/time_tracking/shifts/:external_id
DELETE
/rest/v2/time_tracking/shifts/:external_id
$curl -X DELETE https://api.letsdeel.com/rest/v2/time_tracking/shifts/shift123-external-id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body": {}
>}'
1{}

Permanently deletes a shift identified by its external_id. Once deleted, the shift cannot be retrieved or modified. Token scopes: time-tracking:write

Was this page helpful?
Previous

Get shift details

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

external_idstringRequired
The unique external identifier of the shift to be deleted.

Response

Shift deleted successfully. No content is returned.

Errors

401
Unauthorized Error
403
Forbidden Error